<?php

/* * ********************************************************************
 * InterNetX registrar module. Product developed. (2014-02-21)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */
use Illuminate\Database\Capsule\Manager as Capsule;
/**
 * @author Paweł Kopeć <pawelk@modulesgarden.com>
 */
if (!function_exists('getFullAdmin')) {

    /**
     * FUNCTION getFullAdmin
     * Returns array with admin data (for api calls)
     * @return string $row
     */
    function getFullAdmin()
    {
        return (array) Capsule::table('tbladmins')->select('id', 'username', 'password', 'email')->where('roleid', '=', 1)->first();
    }

}

if (!function_exists('internetx_debug')) {

    /**
     * FUNCTION  internetx_debug
     * Turn on php debug
     */
    function internetx_debug()
    {
//        if (isset($_SESSION['internetx_debug'])) {
//            error_reporting(E_ALL);
//            ini_set('display_errors', 1);
//        }
    }

}

if (!function_exists('internetx_load')) {

    /**
     * FUNCTION internetx_load
     * Load environment
     */
    function internetx_load()
    {

        include_once ROOTDIR . DS . 'modules' . DS . 'registrars' . DS . 'InterNetX' . DS . 'classes' . DS . 'class.InterNetX_API.php';
        if (!class_exists("idna_convert")) {
            require_once ROOTDIR . DS . 'modules' . DS . 'registrars' . DS . 'InterNetX' . DS . 'classes' . DS . 'class.idna_convert.php';
        }
        include_once ROOTDIR . DS . 'modules' . DS . 'registrars' . DS . 'InterNetX' . DS . 'classes' . DS . 'class.InterNetX_Extension.php';
    }

}

if (!function_exists('internetx_getClientDetails')) {

    /**
     * FUNCTION  internetx_getClientDetails
     * Load client data
     */
    function internetx_getClientDetails($domainId)
    {
        return (array)Capsule::table('tblclients')->leftJoin('tbldomains', 'tbldomains.userid','=','tblclients.id')->select('tblclients.*')->where('tbldomains.id', '=', $domainId)->first();
    }

}

if (!function_exists('getModuleParams')) {

    /**
     * FUNCTION getModuleParams
     * Geting module params
     * @param string $module
     * @return array $params
     */
    function getModuleParams($module)
    {
        $q = Capsule::table('tblregistrars')->where('registrar', '=', $module)->get();
        $params = array();
        foreach($q as $row){
            $params[$row->setting] = decrypt($row->value);
        }
        return $params;
    }

}